## httping 0.0.96

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=0.0.95
+VERSION=0.0.96
 
 DEBUG=#-g
 LDFLAGS=-lssl $(DEBUG)
