## httping 0.1.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.1.0
Date: 2016-01-02
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Depends: httr (>= 1.0.0)
Imports: methods, stats, jsonlite (>= 0.9.19), pryr (>= 0.1.2),
        magrittr (>= 1.5), httpcode (>= 0.1.0)
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-01-02 23:46:58 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2016-01-03 16:14:08
