## httping 0.2.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.2.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Depends: httr (>= 1.3.1)
Imports: methods, stats, jsonlite (>= 1.5), pryr (>= 0.1.3), magrittr,
        httpcode (>= 0.2.0)
Suggests: roxygen2 (>= 6.0.1), testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-03 03:19:27 UTC; sckott
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2018-01-03 04:32:52 UTC
