## httping 0.3.0

=== DESCRIPTION ===
Package: httping
Title: 'Ping' 'URLs' to Time 'Requests'
Description: A suite of functions to ping 'URLs' and to time
    'HTTP' 'requests'. Designed to work with 'httr'.
Version: 0.3.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/sckott/httping
BugReports: https://github.com/sckott/httping/issues
Encoding: UTF-8
Language: en-US
Imports: httr (>= 1.3.1), methods, stats, jsonlite, magrittr, httpcode
        (>= 0.2.0), lobstr
Suggests: testthat, webfakes
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-12-18 23:15:56 UTC; sckott
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-18 23:30:02 UTC
