## httping 1.0.4

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,20 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=0.0.96
+VERSION=1.0.4
 
-DEBUG=#-g
-LDFLAGS=-lssl $(DEBUG)
+DEBUG=-g
+LDFLAGS=-lssl -lcrypto $(DEBUG)
 CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o
+OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
 
 all: httping
 
 httping: $(OBJS)
 	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o httping
+	#
+	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
 install: httping
 	cp httping $(DESTDIR)/usr/bin
@@ -36,5 +38,5 @@
 	rm -rf httping-$(VERSION)*
 	mkdir httping-$(VERSION)
 	cp *.c *.h Makefile* readme.txt license.* httping-$(VERSION)
-	tar czf httping-$(VERSION).tgz httping-$(VERSION)
+	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
 	rm -rf httping-$(VERSION)
