## httping 1.2.1

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,13 @@
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
 
-VERSION=1.0.4
+include version
 
-DEBUG=-g
-LDFLAGS=-lssl -lcrypto $(DEBUG)
-CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+DEBUG=-g # -D_DEBUG
+LDFLAGS+=-lssl -lcrypto $(DEBUG)
+CFLAGS+=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
+OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
 
 all: httping
 
@@ -29,6 +29,7 @@
 
 install: httping
 	cp httping $(DESTDIR)/usr/bin
+	cp httping.1 $(DESTDIR)/usr/share/man/man1/
 
 clean:
 	rm -f $(OBJS) core httping
@@ -37,6 +38,6 @@
 	# source package
 	rm -rf httping-$(VERSION)*
 	mkdir httping-$(VERSION)
-	cp *.c *.h Makefile* readme.txt license.* httping-$(VERSION)
+	cp *.c *.h httping.1 Makefile* version readme.txt license.* httping-$(VERSION)
 	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
 	rm -rf httping-$(VERSION)
