## httping 1.3.1

=== Makefile ===
--- 
+++ 
@@ -14,30 +14,76 @@
 
 include version
 
-DEBUG=-g # -D_DEBUG
-LDFLAGS+=-lssl -lcrypto $(DEBUG)
-CFLAGS+=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+TARGET=httping
 
-OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o mssl.o res.o
+WFLAGS=-Wall -W
+OFLAGS=-O2
+CFLAGS=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
-all: httping
+PACKAGE=$(TARGET)-$(VERSION)
+PREFIX=/usr
+BINDIR=$(PREFIX)/bin
+MANDIR=$(PREFIX)/share/man
+DOCDIR=$(PREFIX)/doc/$(PACKAGE)
 
-httping: $(OBJS)
-	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o httping
+INSTALL=install
+INSTALLDIR=$(INSTALL) -m 0755 -d
+INSTALLBIN=$(INSTALL) -m 0755
+INSTALLMAN=$(INSTALL) -m 0644
+INSTALLDOC=$(INSTALL) -m 0644
+STRIP=/usr/bin/strip
+RMDIR=/bin/rm -rf
+MKDIR=/bin/mkdir
+ARCHIVE=/bin/tar cf -
+COMPRESS=/bin/gzip -9
+
+OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o res.o
+
+MANS=httping.1
+
+DOCS=license.txt license.OpenSSL readme.txt
+
+ifeq ($(SSL),no)
+CFLAGS+=-DNO_SSL
+else
+OBJS+=mssl.o
+LDFLAGS+=-lssl -lcrypto
+endif
+
+ifeq ($(DEBUG),yes)
+CFLAGS+=-D_DEBUG -g
+LDFLAGS+=-g
+endif
+
+ifeq ($(ARM),yes)
+CC=arm-linux-gcc
+endif
+
+all: $(TARGET)
+
+$(TARGET): $(OBJS)
+	$(CC) $(WFLAGS) $(OBJS) $(LDFLAGS) -o $(TARGET)
 	#
 	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
-install: httping
-	cp httping $(DESTDIR)/usr/bin
-	cp httping.1 $(DESTDIR)/usr/share/man/man1/
+install: $(TARGET)
+	$(INSTALLDIR) $(DESTDIR)/$(BINDIR)
+	$(INSTALLBIN) $(TARGET) $(DESTDIR)/$(BINDIR)
+	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
+	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
+ifneq (DEBUG,yes)
+	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
+endif
 
 clean:
-	rm -f $(OBJS) core httping
+	$(RMDIR) $(OBJS) $(TARGET) *~ core
 
 package: clean
 	# source package
-	rm -rf httping-$(VERSION)*
-	mkdir httping-$(VERSION)
-	cp *.c *.h httping.1 Makefile* version readme.txt license.* httping-$(VERSION)
-	tar cf - httping-$(VERSION) | gzip -9 > httping-$(VERSION).tgz
-	rm -rf httping-$(VERSION)
+	$(RMDIR) $(PACKAGE)*
+	$(MKDIR) $(PACKAGE)
+	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
+	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
+	$(RMDIR) $(PACKAGE)
