## httping 1.4.4

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 
 WFLAGS=-Wall -W
 OFLAGS=-O2
-CFLAGS=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
-DOCDIR=$(PREFIX)/doc/$(PACKAGE)
+DOCDIR=$(PREFIX)/share/doc/$(TARGET)
 
 INSTALL=install
 INSTALLDIR=$(INSTALL) -m 0755 -d
