=== debian/changelog ===
httping (1.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sat, 24 Jul 2010 15:42:23 +0200

httping (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #587210).
  * Bump policy version to 3.9.0, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Nico Golde <nion@debian.org>  Wed, 14 Jul 2010 19:07:37 +0200

httping (1.3.1-2) unstable; urgency=low

  * Temporary remove strndup from str.{c,h} until upstream removed
    it completely (Closes: #552901).
  * Fix FHS compliance of Makefile (Closes: #553094).
  * Override dh_auto_install to remove license.txt and license.OpenSSL
    after installation.
    - adjust debhelper version dependency to 7.0.50~.

 -- Nico Golde <nion@debian.org>  Wed, 04 Nov 2009 18:12:05 +0100

httping (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - Remove fix-fd_leak.patch, remove_memdump_signal-handler.patch
      incorporated upstream.
    - The host can be specified directly, there is no need for -g
      anymore so httping google.com also works (Closes: #528940).
      - Remove quilt again.
  * Bump policy version to 3.8.3, no changes needed.

 -- Nico Golde <nion@debian.org>  Sun, 16 Aug 2009 14:45:32 +0200

httping (1.3.0-2) unstable; urgency=low

  * Bump standards version (no changes needed).
  * Add build-dependency on quilt:
    + Add dh --with quilt call to debian/rules and switch to
      a debhelper 7-ish rules file.
        + Bump debhelper dependency to >= 7.0.8 and quilt >= 0.46-7.
    + Remove mem_dump functionality via signal as it blocks SIGHUP
      which causes httping to continue running even if for example
      an ssh connection was closed
      (remove_memdump_signal-handler.patch; Closes: #531883).
    + Fix file descriptor leak on timeouts
      (fix-fd_leak.patch; Closes: #532172).

 -- Nico Golde <nion@debian.org>  Wed, 29 Jul 2009 19:56:10 +0200

httping (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_prep instead of dh_clean -k as the latter one is deprecated
    now.
  * Point license link in debian/copyright to GPL-2 as httping is not
    licensed under the GPL-3.
  * Fix copyright-with-old-dh-make-debian-copyright.
  * Rewrite long description.

 -- Nico Golde <nion@debian.org>  Mon, 09 Mar 2009 14:33:40 +0100

httping (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Bump policy version to 3.8.0, no changes needed.
  * Bump compat version and debhelper dependency to 7.

 -- Nico Golde <nion@debian.org>  Fri, 03 Oct 2008 15:06:41 +0200

httping (1.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Mon, 26 May 2008 13:45:08 +0200

httping (1.2.5-2) unstable; urgency=low

  * Bump standards version to 3.7.3, no changes needed.
  * Bump compat level to 6 as it is the standard now.
  * Remove homepage tag and use the Homepage control field instead.
  * Add openssl linkage exception to copyright file.
  * Fix Copyright line by adding the years.

 -- Nico Golde <nion@debian.org>  Mon, 03 Mar 2008 00:12:37 +0100

httping (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Removed suppression of clean target output.

 -- Nico Golde <nion@debian.org>  Fri, 27 Jul 2007 14:36:12 +0200

httping (1.2.3-1) unstable; urgency=low

  * New upstream release.
    - Added audible ping functionality.
  * Removed patch stuff, patch was included by upstream.
  * Added watch file.
  * Fixed copyright.

 -- Nico Golde <nion@debian.org>  Tue, 01 May 2007 21:55:26 +0200

httping (1.2.2-2) unstable; urgency=low

  * Included patch for audible ping until it gets into 
    upstream sources (Closes: #352648).
  * New dependency on dpatch because of the patch.
  * Changed maintainer address.
  * Removed nossl build stuff.

 -- Nico Golde <nion@debian.org>  Wed, 28 Mar 2007 18:00:50 +0200

httping (1.2.2-1) unstable; urgency=low

  * new upstream release.

 -- Nico Golde <nico@ngolde.de>  Tue,  5 Dec 2006 18:16:32 +0100

httping (1.2.1-1) unstable; urgency=low

  * New upstream release and new maintainer.
  * Adapted policy version (no changes needed).
  * Added Homepage tag to control file.
  * Bumped debhelper compatibility level to 5 and adapted dependency.
  * Adapted copyright notice to the new maintainer.
  * Removed debian/httping.1 since upstream ships manpage.
  * Removed dh_installexamples call from rules, not needed.

 -- Nico Golde <nico@ngolde.de>  Wed, 13 Sep 2006 01:06:25 +0200

httping (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer's address.
  * Sync with policy version.

 -- David Moreno Garza <damog@debian.org>  Sat, 20 Aug 2005 18:25:51 -0500

httping (0.0.96-1) unstable; urgency=low

  * New upstream release.
  * Removed httping-nossl binary package since it's useless (Closes:
    #281636).

 -- David Moreno Garza <damog@damog.net>  Sun, 30 Jan 2005 23:16:50 -0600

httping (0.0.95-1) unstable; urgency=low

  * Initial Release (Closes: #247399).

 -- David Moreno Garza <damog@damog.net>  Tue, 14 Sep 2004 11:41:38 -0500
