=== debian/control ===
Source: httping
Section: net
Priority: optional
Maintainer: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev
Standards-Version: 3.9.0
Homepage: http://www.vanheusden.com/httping

Package: httping
Architecture: any
Depends: ${shlibs:Depends}, openssl, ${misc:Depends}
Replaces: httping-nossl
Description: ping-like program for http-requests
 httping is like ping for HTTP. It sends requests to a hostname or a remote
 URL and it shows you how long it takes to connect, send a HTTP request and
 retrieve the reply (only the header).
 .
 It supports SSL as well as various different ways to use it.
