## httping 1.5.3

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,10 @@
 
 TARGET=httping
 
+DEBUG=yes
 WFLAGS=-Wall -W
 OFLAGS=-O2
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -g
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr
