=== debian/changelog ===
httping (1.5.3-1) unstable; urgency=low

  * New upstream release.
    - Displays IP of pinged host (Closes: #675242).
    - Does no longer read only one byte at a time (Closes: #604823).
    - Signal handling works properly, also with SSL (Closes: #539552).
  * Bump standards version.

 -- Nico Golde <nion@debian.org>  Wed, 30 May 2012 20:43:06 +0200
