=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping
