=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/httping/usr
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.txt
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.OpenSSL
