=== debian/watch ===
version=3
http://www.vanheusden.com/httping/httping-(.*)\.tgz
