## httping 1.5.5

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 DEBUG=yes
 WFLAGS=-Wall -W
-OFLAGS=-O2
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -g
+OFLAGS=-O3
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
 
 PACKAGE=$(TARGET)-$(VERSION)
 PREFIX=/usr
@@ -52,7 +52,7 @@
 endif
 
 ifeq ($(DEBUG),yes)
-CFLAGS+=-D_DEBUG -g
+CFLAGS+=-D_DEBUG -ggdb
 LDFLAGS+=-g
 endif
 
@@ -79,7 +79,7 @@
 endif
 
 clean:
-	$(RMDIR) $(OBJS) $(TARGET) *~ core
+	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int
 
 package: clean
 	# source package
@@ -88,3 +88,13 @@
 	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
 	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
 	$(RMDIR) $(PACKAGE)
+
+check:
+	cppcheck -v --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+
+coverity: clean
+	rm -rf cov-int
+	CC=gcc cov-build --dir cov-int make all
+	tar vczf ~/site/coverity/httping.tgz README cov-int/
+	putsite -q
+	/home/folkert/.coverity-hp.sh
