=== debian/changelog ===
httping (1.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes invalid free of hostname (Closes: #690358).

 -- Nico Golde <nion@debian.org>  Wed, 17 Oct 2012 21:40:54 +0200

httping (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.
  * Add cppcheck to build-dependencies as required by upstream makefile.

 -- Nico Golde <nion@debian.org>  Thu, 11 Oct 2012 17:14:36 +0200
