## httping 1.5.7

=== debian/changelog ===
httping (1.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Nico Golde <nion@debian.org>  Sun, 10 Feb 2013 17:21:08 +0100
