=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck
 Standards-Version: 3.9.3
 Homepage: http://www.vanheusden.com/httping
