## httping 1.5.8

=== Makefile ===
--- 
+++ 
@@ -44,11 +44,18 @@
 
 DOCS=license.txt license.OpenSSL readme.txt
 
+# support for tcp fast open?
+# TFO=yes
+
 ifeq ($(SSL),no)
 CFLAGS+=-DNO_SSL
 else
 OBJS+=mssl.o
 LDFLAGS+=-lssl -lcrypto
+endif
+
+ifeq ($(TFO),yes)
+CFLAGS+=-DTCP_TFO
 endif
 
 ifeq ($(DEBUG),yes)
@@ -74,7 +81,7 @@
 	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
 	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
 	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
-ifneq (DEBUG,yes)
+ifneq ($(DEBUG),yes)
 	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
 endif
