=== debian/changelog ===
httping (1.5.8-1) unstable; urgency=low

  * New upstream release
    - new switch to prevent httping from exiting when it can't
      resolve the host name (Closes: #699464).
  * Bump standards version, no changes required.
  * Build package with hardening-wrapper.

 -- Nico Golde <nion@debian.org>  Tue, 19 Feb 2013 15:39:36 +0100
