=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck, hardening-wrapper
+Standards-Version: 3.9.4
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping
