## httping 2.3.4

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,36 @@
 # do not wish to do so, delete this exception statement from your
 # version.  If you delete this exception statement from all source
 # files in the program, then also delete it here.
+# $Revision: 270 $
+
+-include makefile.inc
+
+# *** configure script ***
+# support for tcp fast open?
+#TFO=yes
+# disable SSL? (no = disable so the default is use openssl)
+# SSL=no
+# enable NCURSES interface?
+#NC=yes
+# do fft in ncurses interface? (requires libfftw3)
+#FW=yes
+
+############# do not change anything below here #############
 
 include version
 
 TARGET=httping
 
+LOCALEDIR=/usr/share/locale
+
 DEBUG=yes
 WFLAGS=-Wall -W
-OFLAGS=-O3
-CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\"
+OFLAGS=
+CFLAGS+=$(WFLAGS) $(OFLAGS) -DVERSION=\"$(VERSION)\" -DLOCALEDIR=\"$(LOCALEDIR)\"
+LDFLAGS+=-lm
 
 PACKAGE=$(TARGET)-$(VERSION)
-PREFIX=/usr
+PREFIX?=/usr
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/$(TARGET)
@@ -38,14 +56,14 @@
 ARCHIVE=/bin/tar cf -
 COMPRESS=/bin/gzip -9
 
-OBJS=mem.o http.o io.o str.o error.o utils.o main.o tcp.o res.o
+TRANSLATIONS=nl.mo
 
-MANS=httping.1
+OBJS=gen.o http.o io.o error.o utils.o main.o tcp.o res.o socks5.o kalman.o cookies.o help.o colors.o
+
+MAN_EN=httping.1
+MAN_NL=httping-nl.1
 
 DOCS=license.txt license.OpenSSL readme.txt
-
-# support for tcp fast open?
-# TFO=yes
 
 ifeq ($(SSL),no)
 CFLAGS+=-DNO_SSL
@@ -58,6 +76,18 @@
 CFLAGS+=-DTCP_TFO
 endif
 
+ifeq ($(NC),yes)
+CFLAGS+=-DNC
+OBJS+=nc.o
+LDFLAGS+=-lncursesw
+endif
+
+ifeq ($(FW),yes)
+CFLAGS+=-DFW
+OBJS+=fft.o
+LDFLAGS+=-lfftw3
+endif
+
 ifeq ($(DEBUG),yes)
 CFLAGS+=-D_DEBUG -ggdb
 LDFLAGS+=-g
@@ -67,39 +97,57 @@
 CC=arm-linux-gcc
 endif
 
-all: $(TARGET)
+all: $(TARGET) $(TRANSLATIONS)
 
 $(TARGET): $(OBJS)
 	$(CC) $(WFLAGS) $(OBJS) $(LDFLAGS) -o $(TARGET)
 	#
-	# Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
+	# Oh, blatant plug: http://www.vanheusden.com/wishlist.php
 
-install: $(TARGET)
+install: $(TARGET) $(TRANSLATIONS)
 	$(INSTALLDIR) $(DESTDIR)/$(BINDIR)
 	$(INSTALLBIN) $(TARGET) $(DESTDIR)/$(BINDIR)
 	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/man1
-	$(INSTALLMAN) $(MANS) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLMAN) $(MAN_EN) $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALLDIR) $(DESTDIR)/$(MANDIR)/nl/man1
+	$(INSTALLMAN) $(MAN_NL) $(DESTDIR)/$(MANDIR)/nl/man1
 	$(INSTALLDIR) $(DESTDIR)/$(DOCDIR)
 	$(INSTALLDOC) $(DOCS) $(DESTDIR)/$(DOCDIR)
 ifneq ($(DEBUG),yes)
 	$(STRIP) $(DESTDIR)/$(BINDIR)/$(TARGET)
 endif
+	mkdir -p $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES
+	cp nl.mo $(DESTDIR)/$(PREFIX)/share/locale/nl/LC_MESSAGES/httping.mo
+
+makefile.inc:
+	./configure
+
+nl.mo: nl.po
+	msgfmt -o nl.mo nl.po
 
 clean:
-	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int
+	$(RMDIR) $(OBJS) $(TARGET) *~ core cov-int *.mo
 
-package: clean
+distclean: clean
+	rm -f makefile.inc
+
+package:
 	# source package
 	$(RMDIR) $(PACKAGE)*
 	$(MKDIR) $(PACKAGE)
-	$(INSTALLDOC) *.c *.h Makefile version $(MANS) $(DOCS) $(PACKAGE)
+	$(INSTALLDOC) *.c *.h configure Makefile *.po version $(MAN_EN) $(MAN_NL) $(DOCS) $(PACKAGE)
+	$(INSTALLBIN) configure $(PACKAGE)
 	$(ARCHIVE) $(PACKAGE) | $(COMPRESS) > $(PACKAGE).tgz
 	$(RMDIR) $(PACKAGE)
 
-check:
-	cppcheck -v --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+check: makefile.inc
+	cppcheck -v --force -j 3 --enable=all --std=c++11 --inconclusive -I. . 2> err.txt
+	#
+	make clean
+	scan-build make
 
-coverity: clean
+coverity: makefile.inc
+	make clean
 	rm -rf cov-int
 	CC=gcc cov-build --dir cov-int make all
 	tar vczf ~/site/coverity/httping.tgz README cov-int/
