=== debian/changelog ===
httping (2.3.4-1) unstable; urgency=low

  * New upstream release.
   + support IPv6 (Closes: #714892)
   + fix segfault on slow responses (Closes: #686196)
   + manpage fixes (Closes: #689865)
  * Bump standards version, no changes required.
  * Bump compat level to 9.
  * Add clang to build-depends due to scan-build requirement.
  * Add libncursesw5-dev and libncursesw to build-depends for ncurses UI
    support.
  * Remove hardening-wrapper from build-depends as it is deprecated by now.

 -- Nico Golde <nion@debian.org>  Fri, 31 Oct 2014 12:57:05 +0100
