=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Nico Golde <nion@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, cppcheck, hardening-wrapper
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libssl-dev, cppcheck, clang, libncursesw5-dev, libncurses5-dev, libfftw3-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.vanheusden.com/httping
 
 Package: httping
