=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_HARDENING=1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
