=== debian/changelog ===
httping (2.5-4) unstable; urgency=medium

  * Enable autopkgtest and add some smoketests.

  [Helmut Grohne] 
  * Fix FTCBFS: Export a cross compiler for ./configure and make.
    (Closes: #913845)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 16 Nov 2018 14:12:29 +0530

httping (2.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Annotate clang dependencies with <!nocheck>. (Closes: #912692)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 02 Nov 2018 22:17:08 +0100

httping (2.5-3) unstable; urgency=medium

  * Switch build-depend back to (unversionned)clang-tools
    (Closes: #902813)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 03 Aug 2018 10:22:16 +0530

httping (2.5-2) unstable; urgency=medium

  * Correct Build-depend clang-tools to clang-tools-4.0
  * Bumps Standards-Version to 4.1.4 and debhelper to 11
  * Change maintainer's email address
  * Change VCS url to new salsa.debian.org

 -- Abhijith PA <abhijith@disroot.org>  Sat, 07 Apr 2018 20:23:07 +0530

httping (2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on clang-tools. (Closes: #891407)

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Mar 2018 22:14:33 +0200

httping (2.5-1) unstable; urgency=low

  * New upstream release
  * Build with TFO,ncurses,openssl,fftw3 support (Closes: #828048)
  * Bumps Standards-Version to 3.9.8
  * Remove dpkg-dev from Build-Depends
  * Fix Vcs-Git URI
  * Remove patches/hyphen.patch . Lintian is happy

 -- Abhijith PA <abhijith@openmailbox.org>  Mon, 12 Sep 2016 15:13:29 +0530
