=== debian/control ===
Source: httping
Section: net
Priority: optional
Maintainer: Abhijith PA <abhijith@disroot.org>
Build-Depends: debhelper (>= 11),
               libssl-dev,
               clang <!nocheck>,
               clang-tools <!nocheck>,
               libncursesw5-dev,
               libncurses5-dev,
               libfftw3-dev,
               cppcheck
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/httping
Vcs-Git: https://salsa.debian.org/debian/httping.git
Homepage: http://www.vanheusden.com/httping
Testsuite: autopkgtest

Package: httping
Architecture: any
Depends: ${shlibs:Depends},
         openssl,
         ${misc:Depends}
Description: ping-like program for http-requests
 httping is like ping for HTTP. It sends requests to a hostname or a remote
 URL and it shows you how long it takes to connect, send a HTTP request and
 retrieve the reply (only the header).
 .
 It supports SSL as well as various different ways to use it.
