=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING=1
-include /usr/share/dpkg/buildflags.mk
export CC

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/httping/usr
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.txt
	rm $(CURDIR)/debian/httping/usr/share/doc/httping/license.OpenSSL

override_dh_auto_configure:
	./configure --with-tfo --with-ncurses --with-openssl --with-fftw3
