=== debian/tests/control ===
Test-Command: httping --version
Depends: @
Restrictions: allow-stderr

Test-Command: httping -c 2 https://debian.org
Depends: openssl
Restrictions: allow-stderr

Test-Command: httping -F -c 4 http://google.com
Depends: @builddeps@
Restrictions: allow-stderr
