=== debian/changelog ===
httping (4.4.0-3) unstable; urgency=medium

  * Fix FTCBFS: Fix build vs host confusion. (Closes: #1103913)
    Thanks to Helmut Grohne <helmut@subdivi.de>

 -- Abhijith PA <abhijith@debian.org>  Fri, 02 May 2025 11:13:57 +0530

httping (4.4.0-2) unstable; urgency=medium

  * Drop build-depends cppcheck and add gettext.
  * Bump Standards-Version.

 -- Abhijith PA <abhijith@debian.org>  Mon, 24 Mar 2025 13:09:56 +0530

httping (4.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1059398)
  * d/rules: Use dh_installman for manpages
    + use dh_auto_configure to enable SSL, ncurses and other
      functionalities.
  * d/control: Bump Standards-Versions to 4.7.0
    + Add build depends pkgconf
  * Add salsa-ci.yml

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 Mar 2025 10:27:33 +0530

httping (2.5-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add needs-internet restrictions to autopkgtest. (Closes: #955535)
  * Remove unnecessary test depends.

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 May 2020 09:30:50 +0300

httping (2.5-5) unstable; urgency=medium

  * debian/tests/control: update the depends for ci.debian.net
  * debian/rules: Correct the patch applied for #913845
  * debian/control: Remove Testsuite field 

 -- Abhijith PA <abhijith@disroot.org>  Tue, 20 Nov 2018 16:02:29 +0530
