=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: httping
 Section: net
 Priority: optional
-Maintainer: Abhijith PA <abhijith@disroot.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Abhijith PA <abhijith@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libssl-dev,
                clang <!nocheck>,
                clang-tools <!nocheck>,
-               libncursesw5-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libfftw3-dev,
-               cppcheck
-Standards-Version: 4.1.4
+               cmake,
+               pkgconf,
+               gettext
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/httping
 Vcs-Git: https://salsa.debian.org/debian/httping.git
 Homepage: http://www.vanheusden.com/httping
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: httping
 Architecture: any
