=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
		dh $@ --buildsystem=cmake

override_dh_auto_configure:
		dh_auto_configure -- \
			-DUSE_TUI=ON -DUSE_FFTW3=ON \
			-DUSE_SSL=ON -DUSE_GETTEXT=ON

override_dh_auto_install:
		mkdir -p $(CURDIR)/debian/httping/usr/bin
		cp $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/httping  $(CURDIR)/debian/httping/usr/bin
		dh_installman httping.1
