=== debian/tests/control ===
Test-Command: httping --version
Depends: @
Restrictions: allow-stderr

Test-Command: httping -c 2 https://debian.org
Depends: @
Restrictions: allow-stderr, needs-internet

Test-Command: httping -F -c 4 http://google.com
Depends: @
Restrictions: allow-stderr, needs-internet
