=== debian/watch ===
version=4
https://github.com/folkertvanheusden/HTTPing/tags .*/v?(\d.*)@ARCHIVE_EXT@
